List Merchants
curl --request GET \
--url https://app.dimepayments.com/api/merchant/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": []
}'import requests
url = "https://app.dimepayments.com/api/merchant/list"
payload = { "filters": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: []})
};
fetch('https://app.dimepayments.com/api/merchant/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "Dime Payments",
"dba": "",
"notes": "",
"sid": "00001",
"ein": "",
"mcc": "8999",
"slug": "pay",
"pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
"processor_mid": "650000012366624",
"active": true,
"active_at": null,
"pending_cancellation": null,
"approved_cancellation": null,
"approved_cancellation_by": null,
"g_pay": false,
"a_pay": false,
"pci_compliance": true,
"api_access": "2025-05-20T12:43:00.000000Z",
"api_enabled_by_id": 1,
"website": "https://dimepayments.com",
"addr1": "53 S. Main St",
"addr2": "",
"addr3": "",
"city": "Alpharetta",
"state": "GA",
"zip": "30009",
"phone": "4049064975",
"primary_phone": "4049064975",
"primary_email": "ben@dimepayments.com",
"primary_name": "Ben Habeck"
},
{
"name": "Dime Payments",
"dba": "",
"notes": "",
"sid": "00001",
"ein": "",
"mcc": "8999",
"slug": "pay",
"pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
"processor_mid": "650000012366624",
"active": true,
"active_at": null,
"pending_cancellation": null,
"approved_cancellation": null,
"approved_cancellation_by": null,
"g_pay": false,
"a_pay": false,
"pci_compliance": true,
"api_access": "2025-05-20T12:43:00.000000Z",
"api_enabled_by_id": 1,
"website": "https://dimepayments.com",
"addr1": "53 S. Main St",
"addr2": "",
"addr3": "",
"city": "Alpharetta",
"state": "GA",
"zip": "30009",
"phone": "4049064975",
"primary_phone": "4049064975",
"primary_email": "ben@dimepayments.com",
"primary_name": "Ben Habeck"
}
]
}{
"errors": {
"filters.start_date": [
"The filters.start_date field must be a valid date."
]
}
}{
"message": "Permission Denied."
}Merchant management
List Merchants
Get a list of all merchants and their fields
GET
/
api
/
merchant
/
list
List Merchants
Authorizations
You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.
Body
application/json
Show child attributes
Show child attributes
Example:
[]
Response
Show child attributes
Show child attributes
Example:
[
{
"name": "Dime Payments",
"dba": "",
"notes": "",
"sid": "00001",
"ein": "",
"mcc": "8999",
"slug": "pay",
"pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
"processor_mid": "650000012366624",
"active": true,
"active_at": null,
"pending_cancellation": null,
"approved_cancellation": null,
"approved_cancellation_by": null,
"g_pay": false,
"a_pay": false,
"pci_compliance": true,
"api_access": "2025-05-20T12:43:00.000000Z",
"api_enabled_by_id": 1,
"website": "https://dimepayments.com",
"addr1": "53 S. Main St",
"addr2": "",
"addr3": "",
"city": "Alpharetta",
"state": "GA",
"zip": "30009",
"phone": "4049064975",
"primary_phone": "4049064975",
"primary_email": "ben@dimepayments.com",
"primary_name": "Ben Habeck"
},
{
"name": "Dime Payments",
"dba": "",
"notes": "",
"sid": "00001",
"ein": "",
"mcc": "8999",
"slug": "pay",
"pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
"processor_mid": "650000012366624",
"active": true,
"active_at": null,
"pending_cancellation": null,
"approved_cancellation": null,
"approved_cancellation_by": null,
"g_pay": false,
"a_pay": false,
"pci_compliance": true,
"api_access": "2025-05-20T12:43:00.000000Z",
"api_enabled_by_id": 1,
"website": "https://dimepayments.com",
"addr1": "53 S. Main St",
"addr2": "",
"addr3": "",
"city": "Alpharetta",
"state": "GA",
"zip": "30009",
"phone": "4049064975",
"primary_phone": "4049064975",
"primary_email": "ben@dimepayments.com",
"primary_name": "Ben Habeck"
}
]
⌘I

